<!doctype html>
<html lang="en">
<head>
<title>12-clojure-packaging-team-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">Hi! Where's the jitsi link?</span><span class="a_uvxPG43NOS8U74KI" title="a_uvxPG43NOS8U74KI" style="background-color:#9b66cd"></span><br><span class="a_uvxPG43NOS8U74KI" title="a_uvxPG43NOS8U74KI" style="background-color:#9b66cd"></span><br><span class="a_uvxPG43NOS8U74KI" title="a_uvxPG43NOS8U74KI" style="background-color:#9b66cd">Can you please post the link here as well? </span><br><span class="a_uvxPG43NOS8U74KI" title="a_uvxPG43NOS8U74KI" style="background-color:#9b66cd">IRC does not have history so you can't see the link.</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9"></span><br><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9"></span><br><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9"></span><br><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">Bookworm goals:</span><br><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">    </span><br><ul class="indent"><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- Latest version of Leiningen (2.9.6)</span><ul class="indent"><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- Includes dep bumps like data-xml</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"> <-- Done (that specific one, I mean)</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9"></span></ul><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- Latest version of Clojure</span></li><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">     - 1.10.3 was released during freeze so we haven't uploaded yet</span><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb"></span><ul class="indent"><li><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">*</span><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">- Clojure 1.10.1 contains some important mitigations to a Java regression in Java 8/11/etc</span></li><li><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">*</span><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">- Clojure 1.10.2 has a change that made generated code more brittle (emitting call to a new function) that was rolled back in 1.10.3. So, don't use 1.10.2. :)</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9"></span></ul><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- New clojure-cli package</span><ul class="indent"><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- GSoC student had worked on it + deps, not yet available</span></li><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- Some work needs to be done managing what /usr/bin/clojure points to; old script in Debian vs. new upstream script</span></ul><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- Reproduc</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">i</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">bility of clojure packages?</span><ul class="indent"><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- Java bytecode non-reproducibility, even with debian scripts to promote reproducibility in Java packages on (were turned off at some point due to perf regressions)</span></li><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- Macros gensym symbols which might cause reproducibility issues</span></li><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- Has been discussed in core team but no current plans forward</span></li><li><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">*</span><span class="a_7EX8a850ljngYkrh" title="a_7EX8a850ljngYkrh" style="background-color:#eaf0e9">- Action: ehashman to ensure that we are not suppressing reproducibility scripts on Clojure/Leiningen</span><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb"></span></li><li><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">*</span><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb"></span></li><li><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">*</span><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb"></span></ul></li></ul><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">Clojure core team</span><br><ul class="indent"><li><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">*</span><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">- Hi, this is Alex from the core team at Cognitect/Nubank. If you have questions, feel free to drop them here and I can answer</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span></li><li><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">*</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">Sure. Check your email :-)</span><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb"></span></li><li><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">*</span><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb">- Questions</span><span class="a_S8l9omfzgz5llob9" title="a_S8l9omfzgz5llob9" style="background-color:#15c04d"></span></li><li><span class="a_S8l9omfzgz5llob9" title="a_S8l9omfzgz5llob9" style="background-color:#15c04d">*</span><span class="a_S8l9omfzgz5llob9" title="a_S8l9omfzgz5llob9" style="background-color:#15c04d"></span></li><li><span class="a_S8l9omfzgz5llob9" title="a_S8l9omfzgz5llob9" style="background-color:#15c04d">*</span><span class="a_S8l9omfzgz5llob9" title="a_S8l9omfzgz5llob9" style="background-color:#15c04d">Hi, what kind of skills are expected to be part of clojure team?</span><span class="a_gZmSdwOuS21QyUk1" title="a_gZmSdwOuS21QyUk1" style="background-color:#6966fb"></span></ul><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span><br><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">As Elana said, if someone else would like to make it into the Jitsi meeting, just introduce yourselves on IRC.</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
